Subject: bug#8675: committed fix into trunk

From: Christoph Scholtes <[email-masked]>
Date: Tue, 17 May 2011 20:26:04 -0600

On 5/17/2011 7:33 PM, Paul Eggert wrote:
> Bzr 104265,which I just committed into the trunk,
> should contain the fix discussed above, so I'm
> marking this as "done".  As requested I separated
> the gnulib merge into a separate commit, bzr 104264.

bzr 104264 breaks the current build on GNU/Linux (Debian Squeeze with 
gcc - Debian 4.4.5-8):

gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../src 
-I/home/devel/emacs/trunk/src     -g -O2 -MT careadlinkat.o -MD -MP -MF 
.deps/careadlinkat.Tpo -c -o careadlinkat.o careadlinkat.c
In file included from careadlinkat.h:24,
                  from careadlinkat.c:23:
./unistd.h:1186:5: error: token "@" is not valid in preprocessor expressions
make[3]: *** [careadlinkat.o] Error 1
make[3]: Leaving directory `/home/devel/emacs/trunk/lib'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/devel/emacs/trunk/lib'
make[1]: *** [lib] Error 2
make[1]: Leaving directory `/home/devel/emacs/trunk'
make: *** [bootstrap] Error 2

 From unistd.h, l.1186:

#if @GNULIB_GROUP_MEMBER@
/* Determine whether group id is in calling user's group list.  */
# if !@HAVE_GROUP_MEMBER@
_GL_FUNCDECL_SYS (group_member, int, (gid_t gid));
# endif

Note, that there are other instances with @ in the file.

Christoph